#
# Conditional build:
%bcond_without	doc	# docs build
%bcond_with	tests	# test target (fails on builders due to lack of pts)

%define 	module	urwid
Summary:	Urwid - a console user interface library for Python 3
Summary(hu.UTF-8):	Urwid egy konzolos felhasználói felület könyvtár Pythonhoz 3
Summary(pl.UTF-8):	Urwid - biblioteka konsolowego interfejsu użytkownika dla Pythona 3
Name:		python3-%{module}
Version:	2.6.16
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Python
#Source0Download: http://urwid.org/
Source0:	https://pypi.python.org/packages/source/u/urwid/%{module}-%{version}.tar.gz
# Source0-md5:	214f9cea321ccae131cecfaef2a4aa9a
URL:		http://urwid.org/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-setuptools
BuildRequires:	python3-wcwidth
%if %{with doc}
BuildRequires:	sphinx-pdg-3 >= 2.0.0
BuildRequires:	python3-sphinx_github_changelog
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Urwid is a console user interface library for Python.

%description -l hu.UTF-8
Urwid egy konzolos felhasználói felület könyvtár Pythonhoz.

%description -l pl.UTF-8
Urwid to biblioteka konsolowego interfejsu użytkownika dla Pythona.

%package apidocs
Summary:	API documentation for urwid module
Summary(pl.UTF-8):	Dokumentacja API modułu urwid
Group:		Documentation

%description apidocs
API documentation for urwid module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu urwid.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build %{?with_tests:test}

%if %{with doc}
PYTHONPATH="$(pwd)/build-3/lib" sphinx-build-3 -b html docs docs/_html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

# tests
%if %{with tests}
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/urwid/tests
# unversioned copy installed if tests are run
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/urwid.egg-info
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst docs/changelog.rst
%dir %{py3_sitescriptdir}/urwid
%{py3_sitescriptdir}/urwid/*.py
%{py3_sitescriptdir}/urwid/__pycache__
%dir %{py3_sitescriptdir}/urwid/display
%{py3_sitescriptdir}/urwid/display/*.py
%{py3_sitescriptdir}/urwid/display/_web.css
%{py3_sitescriptdir}/urwid/display/_web.js
%{py3_sitescriptdir}/urwid/display/__pycache__
%dir %{py3_sitescriptdir}/urwid/event_loop
%{py3_sitescriptdir}/urwid/event_loop/*.py
%{py3_sitescriptdir}/urwid/event_loop/__pycache__
%dir %{py3_sitescriptdir}/urwid/widget
%{py3_sitescriptdir}/urwid/widget/*.py
%{py3_sitescriptdir}/urwid/widget/__pycache__
%{py3_sitescriptdir}/urwid-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_html/{_images,_static,examples,manual,reference,tutorial,*.html,*.js}
%endif
%changelog
* Tue Mar 18 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-urwid.git;a=log;h=master

* Tue Mar 18 2025 Jan Palus <atler@pld-linux.org> 124b805
- up to 2.6.16

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> f66c237
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> c58fb17
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> d7c0b46
- use patch -P

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 74f1484
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 6bec91b
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 806bc7a
- rebuild with separate debuginfo build-ids

* Sun Feb 28 2021 Jan Palus <atler@pld-linux.org> 972dabf
- doc template patch from debian; rel 3

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 792330f
- release 2 (by relup.sh)

* Sat Feb 27 2021 Jan Palus <atler@pld-linux.org> df43a33
- conditional files

* Sat Jan 16 2021 Jan Palus <atler@pld-linux.org> 1723e89
- docs seem to require sphinx >= 2.0.0

* Thu Jan 14 2021 Jan Palus <atler@pld-linux.org> 153a965
- up to 2.1.2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e93512c
- rebuild with python 3.8
- release 7 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 78486c6
- release 6 (by relup.sh)

* Sat Dec 31 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d5fb54a
- rel 5; fix dep

* Sat Dec 31 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cdc79a
- python 3.6
- release 4 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c5835da
- python 3.6
- release 3 (by relup.sh)

* Wed Dec 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 1d225bd
- disable tests (fail on builders); release 2

* Tue Dec 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 9f847f0
- updated to 1.3.1, added python3 and doc packages

* Tue Dec 27 2016 Jakub Bogusz <qboosh@pld-linux.org> 9129945
- pl, cleanup

